
QGIS Application - Bug report #20265

3.4 explore button for adding missing layers is disabled

2018-10-29 11:23 PM - Pavel Popoca Cruz

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Data Source Manager

Affected QGIS version:3.4.0 Regression?: No

Operating System: Windows 8.1 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28086

Description

When opening a saved project, and the Manage missing layers shows up, the 'explore' button isn't working properly: it appears locked

and disabled, so the only way to add missing layers is manually editing the address for data source.

Associated revisions

Revision 0d7f5986 - 2018-10-30 07:45 PM - Nyall Dawson

Fix broken handle bad layers dialog

Partially revert af0bae67f and ea2cc365

Fixes #20265

Revision 370e87e7 - 2018-10-31 12:58 AM - Nyall Dawson

Fix broken handle bad layers dialog

Partially revert af0bae67f and ea2cc365

Fixes #20265

(cherry picked from commit 0d7f59865b072c29f853513eb183c674585981ba)

History

#1 - 2018-10-30 01:00 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-10-30 03:33 AM - Pavel Popoca Cruz

It also happens on Ubuntu 18.04

#3 - 2018-10-30 07:44 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed
Applied in changeset commit:qgis|0d7f59865b072c29f853513eb183c674585981ba.
